%define nm_version          1:0.7.0-0.4.svn3030
%define dbus_version        1.0
%define gtk2_version        2.10.0
%define openvpn_version     2.1
%define shared_mime_version 0.16-3

%define svn_snapshot svn3047

Summary: NetworkManager VPN integration for OpenVPN
Name: NetworkManager-openvpn
Epoch:   1
Version: 0.7.0
Release: 2.%{svn_snapshot}%{?dist}
License: GPLv2+
URL: http://www.gnome.org/projects/NetworkManager/
Group: System Environment/Base
# How to build the source package:
# - Check out NetworkManager from Gnome CVS, use the right tag,
#   e.g. NETWORKMANAGER_0_6_4_RELEASE
# - cd NetworkManager/vpn-daemons/openvpn
# - ./augogen.sh --prefix=/usr --sysconfdir=/etc
# - make distclean
# - cd ..
# - mv openvpn NetworkManager-openvpn-%{version}
# - tar cvfz NetworkManager-openvpn-%{version}.tar.gz NetworkManager-openvpn-%{version}
Source: %{name}-%{version}.%{svn_snapshot}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk2-devel                 >= %{gtk2_version}
BuildRequires: dbus-devel                 >= %{dbus_version}
BuildRequires: NetworkManager-devel       >= %{nm_version}
BuildRequires: NetworkManager-glib-devel  >= %{nm_version}
BuildRequires: GConf2-devel
BuildRequires: libgnomeui-devel
BuildRequires: gnome-keyring-devel
BuildRequires: libglade2-devel
BuildRequires: libpng-devel
BuildRequires: perl-XML-Parser
BuildRequires: intltool gettext
BuildRequires: perl
Requires(post): %{_bindir}/update-desktop-database
Requires(postun): %{_bindir}/update-desktop-database
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Requires: gtk2             >= %{gtk2_version}
Requires: dbus             >= %{dbus_version}
Requires: NetworkManager   >= %{nm_version}
Requires: openvpn          >= %{openvpn_version}
Requires: shared-mime-info >= %{shared_mime_version}
Requires: GConf2
Requires: gnome-keyring

%description
This package contains software for integrating the OpenVPN VPN software
with NetworkManager and the GNOME desktop.

%prep
%setup -q

%build
if [ ! -f configure ]; then
  ./autogen.sh
fi
%configure --disable-static --disable-dependency-tracking
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

rm -f %{buildroot}%{_libdir}/lib*.la

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
/usr/bin/update-desktop-database > /dev/null
if [ -x /usr/bin/gtk-update-icon-cache ]; then
      /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor
fi

%postun
/sbin/ldconfig
/usr/bin/update-desktop-database > /dev/null
if [ -x /usr/bin/gtk-update-icon-cache ]; then
      /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor
fi

%files
%defattr(-, root, root)

%doc AUTHORS ChangeLog README
%{_libdir}/lib*.so*
%{_libexecdir}/nm-openvpn-auth-dialog
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/nm-openvpn-service.conf
%config(noreplace) %{_sysconfdir}/NetworkManager/VPN/nm-openvpn-service.name
%{_bindir}/nm-openvpn-service
%{_bindir}/nm-openvpn-service-openvpn-helper
%{_datadir}/gnome-vpn-properties/openvpn/nm-openvpn-dialog.glade
%{_datadir}/applications/nm-openvpn.desktop
%{_datadir}/icons/hicolor/48x48/apps/gnome-mime-application-x-openvpn-settings.png
%{_datadir}/locale/*/LC_MESSAGES/NetworkManager-openvpn.mo

%changelog
* Wed Oct 31 2007 Tim Niemueller <tim@niemueller.de> 1:0.7.0-2.svn3047.fc8
- BuildRequire gettext

* Tue Oct 30 2007 Tim Niemueller <tim@niemueller.de> 1:0.7.0-1.svn3047.fc8
- Upgrade to trunk, needed to be compatible with NM 0.7.0, rebuild for F-8

* Fri Sep 15 2006 Tim Niemueller <tim@niemueller.de> 0.3.2-7
- Rebuild for FC6

* Sat Aug 19 2006 Tim Niemueller <tim@niemueller.de> 0.3.2-5
- Added perl-XML-Parser as a build requirement, needed for intltool

* Tue Aug 15 2006 Tim Niemueller <tim@niemueller.de> 0.3.2-4
- Added instructions how to build the source package
- removed a rm line

* Wed Aug 09 2006 Tim Niemueller <tim@niemueller.de> 0.3.2-3
- Added URL

* Fri Aug 04 2006 Tim Niemueller <tim@niemueller.de> 0.3.2-2
- Upgrade to current upstream version (0.3.2 on 0.6 branch)

* Mon Jul 10 2006 Tim Niemueller <tim@niemueller.de> 0.3.2-1
- Upgraded to 0.3.2 for 0.6 branch

* Tue Dec 06 2005 Tim Niemueller <tim@niemueller.de> 0.3-1
- Initial revision based on NetworkManager-vpnc spec

